[![](https://es-lab.de:60085/attachments/57e6f1ab-41d3-40c6-b539-56b25d29a62d)](https://www.hs-anhalt.de)

# LCD-Shield

[![](https://img.shields.io/badge/Version-1.6-a40000.svg?style=plain)](https://es-lab.de:60085/HS-Anhalt/LCD-Shield) [![]( https://img.shields.io/badge/License-GNU%20GPL%20v3-blue.svg?style=plain )](https://es-lab.de:60085/HS-Anhalt/LCD-Shield/src/master/LICENSE) [![](https://img.shields.io/badge/Arduino-UNO-00BFFF.svg?style=plain)](https://store.arduino.cc/usa/arduino-uno-rev3) [![](https://img.shields.io/badge/Arduino-IDE-01DF74.svg?style=plain)](https://www.arduino.cc/en/main/software) [![](https://img.shields.io/badge/Adobe-PDF-red.svg?style=plain)](https://get.adobe.com/de/reader/) [![](https://img.shields.io/badge/LC--Display-EA%20DOGS104-7401DF.svg?style=plain)](https://www.lcd-module.com/fileadmin/eng/pdf/doma/dogs104e.pdf) [![](https://img.shields.io/badge/LCD--Controler-SSD1803A-FF8000.svg?style=plain)](https://www.lcd-module.de/fileadmin/eng/pdf/zubehoer/ssd1803a_2_0.pdf) [![](https://img.shields.io/badge/Download-zip-yellow.svg?style=plain)](https://es-lab.de:60085/HS-Anhalt/LCD-Shield/archive/master.zip)

## <p>&#x1F4DC; Inhaltsverzeichnis</p>
1. **[Das LCD-Shield](#Beschreibung)**
    * [Funktionen](#Funktionen)
    * [Stromlaufplan](#Stromlaufplan)
    * [Versionsunterschiede](#Versionsunterschiede)
2. **[LCD-Bibliothek](#Bibo)**
    * [Installation](#Installation)
    * [Bespielprogramme](#Programme)
    * [Verwenden der Klasse](#LCDCLASS)
        * [Objekte](#Objekte)
        * [Attribute](#Attribute)
        * [Methoden](#Methoden)
3. **[Literaturverzeichnis](#Literaturverzeichnis)**

>**Hinweis:** Wenn Sie dieses Repository downloaden möchten, können Sie es direkt als [ZIP](https://es-lab.de:60085/HS-Anhalt/LCD-Shield/archive/master.zip)-Datei herunterladen, oder mit Hilfe des Git-Repository-Links auf Ihren Rechner klonen. 
>**<p>&#x2601; Git-Repository-Link:<br> https://es-lab.de:60085/HS-Anhalt/LCD-Shield</p>**

---

<div id='Beschreibung'/>

##  <p>&#x1F4DF; 1. Das LCD-Shield</p>

In diesem Repository finden Sie alle Informationen zum LCD-Shield (**L**iquid **C**rystal **D**isplay), welches Sie im Modul "Elektronikdesign" entwickeln. Des Weiteren finden Sie hier eine Bibliothek zum Einbinden in die Arduino IDE (**I**ntegrated **D**evelopment **E**nvironment), um das LC-Display in Betrieb zu nehmen. Die LCD-Shield Bibliothek kann ab der Version 5 verwendet werden. In den folgenden Abschnitten werden die Funktionen, der Stromlaufplan und die Versionsunterschiede des LCD-Shields erklärt.

<div id='Funktionen'/>

### Funktionen

Das LCD-Shield besitzt, neben dem LC-Display, Tasten und LEDs (**L**ight **E**mitting **D**iode), mit denen folgende Funktionen abgebildet werden können:

* Über ein vier mal zehn Zeichen Display können Textnachrichten dargestellt werden.
* Zur Displaynavigation oder zur Realisierung sonstiger Funktionen steht ein Tastenkreuz mit vier Tastern zur Verfügung.
* Mithilfe zweier LEDs (rot und grün) können individuelle Signale dargestellt werden.
* Die Displayhintergrundbeleuchtung lässt sich über Software, mithilfe der bereitgestellten [Bibliothek](#Bibo), separat ein- und ausschalten.

<div id='Stromlaufplan'/>

### Stromlaufplan

Die folgende Abbildung zeigt den Stromlaufplan in der aktuellen Version.

![](https://es-lab.de:60085/attachments/bf161f76-c754-4d70-b376-d60908830c8a)

Das LC-Display **`A1`** mit der Bezeichnung **`LCD_EA_DOGS104`** besitzt vier Zeilen und kann pro Zeile zehn Zeichen darstellen. Über den Transistor **`Q1`** kann die Displayhintergrundbeleuchtung ein- und ausgeschaltet werden. Der IC (**I**ntegrated **C**ircuit) **`U1`** mit der Bezeichnung **`TXS0102`** ist ein bidirektionaler Pegelwandler für den I²C Bus (**I**nter-**I**ntegrated **C**ircuit). Dieser wird benötigt, da der Arduino mit 5 V arbeitet, aber das LC-Display nur mit maximal 3,3 V angesteuert werden kann. Vier Taster **`S1`** bis **`S4`** sind über Pull-Down Widerstände mit dem Arduino verbunden. Die Taster und die LEDs können individuell programmiert werden.

> **Hinweis**: Sollten Sie Fragen zum Stromlaufplan haben, wenden Sie sich bitte an Herrn <a href="mailto:Harald.Pruetting@hs-anhalt.de">Prütting</a>.

<div id='Versionsunterschiede'/>

### Versionsunterschiede

In der folgenden Tabelle werden die Versionsunterschiede des LCD-Shields ab Version 5 dargestellt. Dabei werden die Arduino Pins mit den verbundenen Bauelementen verglichen.

| Pin | Version 5 | Version 6 |
|:----:|:----:|:----:|
| IO4 | S3 | - |
| IO5 | S4 | S3 |
| IO6 | D1 | S4 |
| IO7 | D2 | D1 |
| IO8 | Q1 | D2 |
| IO9 | - | Q1 |

Bei der Nutzung der LCD-Shield Bibliothek muss entsprechend darauf geachtet werden, welche Shield-Version verwendet wird.

<div id='Bibo'/>

## <p>&#x1F5C3; 2. LCD-Bibliothek</p>

Weitere Informationen folgen!



<div id='Installation'/>

### Installation

Weitere Informationen folgen!



<div id='Programme'/>

### Bespielprogramme

Weitere Informationen folgen!



<div id='LCDCLASS'/>

### Verwenden der Klasse

Weitere Informationen folgen!



<div id='Objekte'/>

#### Objekte

Weitere Informationen folgen!



<div id='Attribute'/>

#### Attribute

Weitere Informationen folgen!



<div id='Methoden'/>

#### Methoden

Weitere Informationen folgen!



<div id='Literaturverzeichnis'/>

## <p>&#x1F4DA; 3. Literaturverzeichnis</p>

&nbsp;&nbsp;&nbsp; **[1]**&nbsp; Atmel<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *ATmega328 (Mikrocontroller) Datenblatt*<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [http://ww1.microchip.com/downloads/en/DeviceDoc/Atmel-7810-Automotive-<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Microcontrollers-ATmega328P_Datasheet.pdf](http://ww1.microchip.com/downloads/en/DeviceDoc/Atmel-7810-Automotive-Microcontrollers-ATmega328P_Datasheet.pdf)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 13.11.2018

&nbsp;&nbsp;&nbsp; **[2]**&nbsp; Texas Instruments<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *TXS0102 (IC) Datenblatt*<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [http://www.ti.com/lit/ds/symlink/txs0102.pdf](http://www.ti.com/lit/ds/symlink/txs0102.pdf)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 14.11.2018

&nbsp;&nbsp;&nbsp; **[3]**&nbsp; Arduino<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *Language Reference*<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [https://www.arduino.cc/en/Reference/HomePage](https://www.arduino.cc/en/Reference/HomePage)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 23.10.2017

&nbsp;&nbsp;&nbsp; **[4]**&nbsp; SOLOMON SYSTECH<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *Display-Controller: SSD1803A*<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [https://www.lcd-module.de/fileadmin/eng/pdf/zubehoer/ssd1803a_2_0.pdf](https://www.lcd-module.de/fileadmin/eng/pdf/zubehoer/ssd1803a_2_0.pdf)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 20.04.2018

&nbsp;&nbsp;&nbsp; **[5]**&nbsp; LCD-Module<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; *LC-Display: EA DOGS104-A*<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [https://www.lcd-module.com/fileadmin/eng/pdf/doma/dogs104e.pdf](https://www.lcd-module.com/fileadmin/eng/pdf/doma/dogs104e.pdf)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Abfragedatum: 20.04.2018

---

**Hochschule Anhalt | Anhalt University of Applied Sciences | Fachbereich 6 EMW <br>LCD-Shield**

<p>Prof. Dr. Michael Brutscheck<br>
<a href="mailto:Michael.Brutscheck@HS-Anhalt.de">&#x1F4E7; Michael.Brutscheck@HS-Anhalt.de</a></p>

<p>Tobias Müller, M. Eng.<br>
<a href="mailto:Tobias.Mueller@HS-Anhalt.de">&#x1F4E7; Tobias.Mueller@HS-Anhalt.de</a></p>

<p>Dipl. Ing. Harald Prütting<br>
<a href="mailto:Harald.Pruetting@hs-anhalt.de">&#x1F4E7; Harald.Pruetting@HS-Anhalt.de</a></p>

<p>&#x00A9; es-lab.de, 13.11.2018</p>